Bug 767666 (CVE-2011-4634) - CVE-2011-4634 phpMyAdmin: multiple XSS flaws (PMASA-2011-18)
Summary: CVE-2011-4634 phpMyAdmin: multiple XSS flaws (PMASA-2011-18)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2011-4634
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 767668 767669 767670
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-12-14 16:19 UTC by Vincent Danen
Modified: 2019-09-29 12:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-19 15:38:41 UTC


Attachments (Terms of Use)

Description Vincent Danen 2011-12-14 16:19:42 UTC
phpMyAdmin 3.4.8 was released to correct the following security flaws [1]:

Using crafted database names, it was possible to produce XSS in the Database
Synchronize and Database rename panels. Using an invalid and crafted SQL query,
it was possible to produce XSS when editing a query on a table overview panel
or when using the view creation dialog. Using a crafted column type, it was
possible to produce XSS in the table search and create index dialogs.

Only phpMyAdmin 3.4.x is affected by this vulnerability.

[1] http://www.phpmyadmin.net/home_page/security/PMASA-2011-18.php

Comment 1 Vincent Danen 2011-12-14 16:21:02 UTC
Created phpMyAdmin tracking bugs for this issue

Affects: fedora-all [bug 767668]
Affects: epel-6 [bug 767670]

Comment 2 Vincent Danen 2011-12-14 16:21:06 UTC
Created phpMyAdmin3 tracking bugs for this issue

Affects: epel-5 [bug 767669]

Comment 3 Fedora Update System 2011-12-16 19:50:39 UTC
phpMyAdmin-3.4.8-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2011-12-16 20:03:49 UTC
phpMyAdmin-3.4.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2011-12-20 20:02:16 UTC
phpMyAdmin-3.4.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2011-12-20 20:05:37 UTC
phpMyAdmin3-3.4.8-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.